org.apache.sling.resource.inventory.impl

## Class ResourceTraversor

- java.lang.Object
- - org.apache.sling.resource.inventory.impl.ResourceTraversor

    public class ResourceTraversor
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ResourceTraversor(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `collectResources()` Recursive descent from startResource, collecting JSONObjects into startObject.
`javax.json.JsonObject` `getJsonObject()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceTraversor

    public ResourceTraversor(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### collectResources

    public void collectResources()
                          throws javax.json.JsonException

Recursive descent from startResource, collecting JSONObjects into startObject.

Throws:
  `javax.json.JsonException`

#### getJsonObject

    public javax.json.JsonObject getJsonObject()